<?php
 session_start();
    
   include("../pdate.php");
   include("db.php"); 
  $date=$_GET['date'];
  $currency=$_GET['currency'];
  
  	   
	    $curencyName_sql="select name from  `currencies` where id='$currency'";
		$currencyName_query=$db ->query($curencyName_sql);
		$currencyName_row=$currencyName_query ->fetch_array();
		$currencyName=$currencyName_row['name'];	
	 						 
	 //============================currency Name======================
	 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>جزئیات پرداخت مصارف </title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  //include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="930px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
				 
			
			
	         </th>
				<th style="width:206px"><h3><?php include("../info/companyName.php");?></h3> مصارف متفرقه&nbsp;<? echo $currencyName?>
			    
				<br><span style='color:green'> </span><?php $date ?></td> 
				 
			  
			<th style="width:186px;text-align:left" ><img src="img/tash.png" width="130" height="130"   ></th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
    
     
    $date=$_GET['date'];
    $currency=$_GET['currency'];
 	
    include("db.php");
	$tableName="others";		
	$targetpage = "masarefe_khareji.php"; 	
	$limit = 17; 
	//====================================================================
	 
	 
	  $sql="SELECT COUNT(*) as num FROM `$tableName` where currencyId='$currency' and  typeOthers='1' and date='$date' and remover='0'     ";
	 
	//========================================================================
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">تاریخ</th>
				<th scope="col">نوع عواید</th>
				<th scope="col">مقدار</th>
				<th scope="col">نوعیت پول</th>
				<th scope="col">توضیحات</th>
				 
			 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						  
						 //================================================================
 
						 
						 $mony_sql="SELECT   *  FROM `$tableName` where currencyId='$currency' and  typeOthers='1' and date='$date' and remover='0'     LIMIT $start, $limit";
						 
						 //==============================================================
						 $mony_query= $db ->query($mony_sql);
				  
						  
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							$id = $nrow['id'];
							 
							$date= $nrow['date'];
							$expensesId= $nrow['expensesId'];
							$currencyId= $nrow['currencyId'];
							$amount= $nrow['amount'];
							$description= $nrow['description'];
							$typeOthers= $nrow['typeOthers'];
						    $totleAmount+=$amount; 
							
						 
							 
							 
							 
							//=============================================================
							 
							 
							//******************************Currency Name*******************************
							 if($typeOthers==1){//مصارف
							 $expenses_sql="select * from  `expensesname` where id='$expensesId'";
							 $expenses_query=$db ->query($expenses_sql);
							 $expneses_row=$expenses_query ->fetch_array();
							 $expneses=$expneses_row['name'];	
							 }
							 
							 if($typeOthers==2){//در امد
							 echo $expenses_sql="select incomeName from  `incomename` where id='$expensesId'";
							 $expenses_query=$db ->query($expenses_sql);
							 $expneses_row=$expenses_query ->fetch_array();
							 $expneses=$expneses_row['incomeName'];	
							 }
							 
							 
							//=============================================================
							 //******************************Base Courrency*******************************
							 $currency_sql="select name from  `currencies` where id='$currencyId'";
							 $currency_query=$db ->query($currency_sql);
							 $currency_row=$currency_query ->fetch_array();
							 $currency=$currency_row['name'];	
							//=============================================================
							 
							    
						    //**************************************************************************************************   
							 
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$date."</td>
			<td>".$expneses."</td>
			<td>".number_format($amount,2)."</td> 
			<td>".$currency."</td> 
			<td>".$description."</td> 
			 
			 
			 </tr>";					  
				 	  } 
		  echo '<tr style="color: red"><td colspan="7" style="font-weight: bold">'.number_format($totleAmount)."(".$currencyName.')</td></tr>';
		 
		 
		 echo '</table>';
              	
	 echo "<br></div>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
 die;
 

?>
<!--==========================================================================================-->  
<!--==========================================================================================-->  
 
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     